httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Stefan Fritsch ...@sfritsch.de>
Subject Re: svn commit: r1032073 [1/3] - in /httpd/httpd/trunk: ./ include/ modules/aaa/ modules/filters/ modules/metadata/ modules/ssl/ server/
Date Mon, 08 Nov 2010 19:58:12 GMT
On Monday 08 November 2010, Ruediger Pluem wrote:
> On 11/06/2010 03:31 PM, sf@apache.org wrote:
> > Author: sf
> > Date: Sat Nov  6 14:31:16 2010
> > New Revision: 1032073
> > 
> > URL: http://svn.apache.org/viewvc?rev=1032073&view=rev
> > Log:
> > Replace ap_expr with a parser derived from mod_ssl's parser. Make
> > mod_ssl use the new parser. Rework ap_expr's public interface
> > and provide hooks for modules to add variables and functions.


> > -    ap_register_auth_provider(p, AUTHZ_PROVIDER_GROUP, "ssl-
require",
> > -                              AUTHZ_PROVIDER_VERSION,
> > -                              &ssl_authz_provider_sslrequire,
> > -                              AP_AUTH_INTERNAL_PER_CONF);
> > -
> 
> What is the substitute for ssl-require?

The expr provider in mod_authz_core. Since the syntax of ap_expr is 
now nearly the same as the syntax of ssl_expr, I don't think we need a 
separate ssl_expr authz provider. Of course, if anyone thinks it would 
be useful, it's easy to add again.

Mime
View raw message